Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification
Interface NotificationMessage

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  SimpleNotificationMessage

public interface NotificationMessage
extends XmlSerializable

NotificationMessage represents the wsnt:NotificationMessageHolderType type defined by the WS-Notification 1.3 schema. It is used as part of the wsnt:Notify and wsnt:GetCurrentMessage operations.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `addMessageContent(org.w3c.dom.Element content)` This method allows you to add message content in its XML form - the element will be added as the last child under the wsnt:Message part of the notification message.
`void` | `addMessageContent(QName qname, java.lang.Object content)` This method allows you to add message content that has not yet been serialized into XML.
`org.w3c.dom.Element` | `getMessageContent(QName qname)`
`java.lang.Object` | `getMessageContent(QName qname, java.lang.Class type)` This is a convenience method that does the same task as getMessageContent(QName) but deserializes the message content into a POJO of the given type before returning it.
`java.util.Collection` | `getMessageContentNames()`
`EndpointReference` | `getProducerReference()`
`EndpointReference` | `getSubscriptionReference()`
`QName` | `getTopic()`
`java.lang.String` | `getTopicDialect()`
`void` | `setProducerReference(EndpointReference producer)`
`void` | `setSubscriptionReference(EndpointReference subscription)`
`void` | `setTopic(QName topicPath)`
`void` | `setTopicDialect(java.lang.String dialect)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### addMessageContent

    public void addMessageContent(org.w3c.dom.Element content)

  This method allows you to add message content in its XML form - the element will be added as the last child under the wsnt:Message part of the notification message.

  Parameters:
    `content` -

### addMessageContent

    public void addMessageContent(QName qname,
                                  java.lang.Object content)
                           throws SoapFault

  This method allows you to add message content that has not yet been serialized into XML. The content object must be of a type that has a Muse Serializer registered for it; these types include all of the base/built-in types plus those that had serializers registered for them in muse.xml.

  Parameters:
    `content` -
    `qname` -
  Throws:
    `SoapFault`
  See Also:
    `Serializer`

### getMessageContent

    public org.w3c.dom.Element getMessageContent(QName qname)

  Parameters:
    `qname` -
  Returns:
    The element under wsnt:Message that has the given name, or null if no such element exists.

### getMessageContent

    public java.lang.Object getMessageContent(QName qname,
                                              java.lang.Class type)
                                       throws SoapFault

  This is a convenience method that does the same task as getMessageContent(QName) but deserializes the message content into a POJO of the given type before returning it.

  Throws:
    `SoapFault`

### getMessageContentNames

    public java.util.Collection getMessageContentNames()

  Returns:
    The names of all elements added under the wsnt:Message section.

### getProducerReference

    public EndpointReference getProducerReference()

  Returns:
    The EPR of the resource that is sending the message. This may be null.

### getSubscriptionReference

    public EndpointReference getSubscriptionReference()

  Returns:
    The EPR of the subscription that is causing the message to be sent to the subscriber. This may be null.

### getTopic

    public QName getTopic()

  Returns:
    The topic that this message was published under. This may be null.

### getTopicDialect

    public java.lang.String getTopicDialect()

  Returns:
    The concrete expression dialect
  See Also:
    `WstConstants.CONCRETE_TOPIC_URI`

### setProducerReference

    public void setProducerReference(EndpointReference producer)

### setSubscriptionReference

    public void setSubscriptionReference(EndpointReference subscription)

### setTopic

    public void setTopic(QName topicPath)

### setTopicDialect

    public void setTopicDialect(java.lang.String dialect)
                         throws TopicExpressionDialectUnknownFault

  Throws:
    `TopicExpressionDialectUnknownFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD